package com.xmomen.module.wx.model;

import java.io.Serializable;

/**
 * 微信Message抽象类
 */
public abstract class MessageBase implements Serializable {
    /**
     * 接收者
     */
    private String toUserName;

    /**
     * 发送者
     */
    private String fromUserName;

    /**
     * 消息类型
     */
    private String msgType;

    /**
     * 消息创建时间
     */
    private long createTime;

    // 获取接收方微信号
    public String getToUserName() {
        return toUserName;
    }

    // 设置接收方微信号
    public void setToUserName(String toUserName) {
        this.toUserName = toUserName;
    }

    // 获取发送方微信号
    public String getFromUserName() {
        return fromUserName;
    }

    // 设置发送方微信号
    public void setFromUserName(String fromUserName) {
        this.fromUserName = fromUserName;
    }

    // 获取消息类型
    public String getMsgType() {
        return msgType;
    }

    // 设置消息类型
    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    // 获取消息创建时间
    public long getCreateTime() {
        return createTime;
    }

    // 设置消息创建时间
    public void setCreateTime(long createTime) {
        this.createTime = createTime;
    }
}
